package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.step.context;

import cn.estsh.i3plus.ext.mes.pcn.api.busi.IMesProductionDispatchContextStepService;
import cn.estsh.i3plus.mes.pcn.actor.shipping.dispatch.FsmJumpProcessService;
import cn.estsh.i3plus.pojo.mes.model.StationRequestBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

@Service
@Primary
public class MesProductionContextFlushService extends FsmJumpProcessService {

    @Autowired
    private IMesProductionDispatchContextStepService productionDispatchContextStepService;

    //重置工序业务实现
    @Override
    public Boolean doJumpProcess(StationRequestBean requestBean) {

        //清除上下文中的所有业务数据
        productionDispatchContextStepService.doFlushProductionDispatchContext(requestBean);

        return true;
    }

}
